Bug 321181 - SElinux and read write to anon_inode
SElinux and read write to anon_inode
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-06 04:06 EDT by Tony
Modified: 2008-01-30 14:20 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-30 14:20:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tony 2007-10-06 04:06:19 EDT
Description of problem:
SELinux is preventing /usr/sbin/sendmail.sendmail (system_mail_t) "read
    write" to anon_inode:[eventpoll] (anon_inodefs_t)

Version-Release number of selected component (if applicable):
Affected RPM Packages         sendmail-8.14.1-4.2.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-45.fc7

How reproducible:
When apache sends a message via send mail

Steps to Reproduce:
1.Use contact form on website (post)
Actual results:
Message is delivered to user at the domain. Seliunx error message

Expected results:
Message is delivered to user at domain. Selinux should not produce error

Additional info:Additional Information        

Source Context                system_u:system_r:system_mail_t
Target Context                system_u:object_r:anon_inodefs_t
Target Objects                anon_inode:[eventpoll] [ file ]
Affected RPM Packages         sendmail-8.14.1-4.2.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-45.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     primeserver
Platform                      Linux primeserver #1 SMP Thu Sep
                              27 23:10:59 EDT 2007 i686 i686
Alert Count                   33
First Seen                    Sun 12 Aug 2007 07:33:31 AM NZST
Last Seen                     Sat 06 Oct 2007 05:08:56 PM NZDT
Local ID                      654940df-5246-45e5-b8e9-3c9783f8a6f8
Line Numbers                  

Raw Audit Messages            

avc: denied { read, write } for comm="sendmail" dev=anon_inodefs egid=51 euid=48
exe="/usr/sbin/sendmail.sendmail" exit=0 fsgid=51 fsuid=48 gid=48 items=0
name="[eventpoll]" path="anon_inode:[eventpoll]" pid=4617
scontext=system_u:system_r:system_mail_t:s0 sgid=51
subj=system_u:system_r:system_mail_t:s0 suid=48 tclass=file
tcontext=system_u:object_r:anon_inodefs_t:s0 tty=(none) uid=48
Comment 1 Daniel Walsh 2007-10-06 08:55:28 EDT
Fixed in selinux-policy-2.6.4-47.fc7
Comment 2 Daniel Walsh 2008-01-30 14:20:38 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.